Ionic Pro: Package compiling error


#1

Hi,

Im trying to compile my Build at the ionic pro environment.
Im getting this error, does some one how to solve this?

This information is from the ionic pro console

Total time: 52.393 secs
Error: /usr/src/app/platforms/android/gradlew: Command failed with exit code 1 Error output:
FAILURE: Build failed with an exception.

* What went wrong:
A problem occurred configuring root project 'android'.
> Could not resolve all dependencies for configuration ':_debugApkCopy'.
   > Could not find any version that matches com.android.support:multidex:25.+.
     Versions that do not match:
         1.0.1
         1.0.0
         1.0.2
     Searched in the following locations:
         file:/opt/android-sdk/extras/android/m2repository/com/android/support/multidex/maven-metadata.xml
         file:/usr/src/app/platforms/android/sdk-manager/com/android/support/multidex/maven-metadata.xml
         file:/usr/src/app/platforms/android/sdk-manager/com/android/support/multidex/
     Required by:
         project :

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
Failed to upload apk to storage please retry your build.
Running after script...
$ clean-up
Cleaning up files...
Successful clean up
ERROR: Job failed: exit status 1

This information is from my own CLI and from my pluginlist
Pluginlist

sudo cordova plugin list
cordova-plugin-ionic-webview 1.1.14 "cordova-plugin-ionic-webview"
onesignal-cordova-plugin 2.2.2 "OneSignal Push Notifications"
phonegap-plugin-push 2.0.0 "PushPlugin"

Ionic info

cli packages: (/home/thijmen/Desktop/abk/node_modules)

    @ionic/cli-utils  : 1.13.0
    ionic (Ionic CLI) : 3.13.0

global packages:

    cordova (Cordova CLI) : not installed

local packages:

    @ionic/app-scripts : 3.0.0
    Cordova Platforms  : none
    Ionic Framework    : ionic-angular 3.3.0

System:

    Node : v8.6.0
    npm  : 2.15.12 
    OS   : Linux 4.10

Misc:

    backend : pro

I hope some one know’s a solution for this.

Thanks in advance


#2

Why both? Don’t these clash and do the same thing?

Why none?


#3

A post was split to a new topic: Could not find any version that matches com.android.support:multidex:25.+


#4

Ionic Pro is a hosted and closed source service, so there is not much we, the community, can help you with, sorry. Check these:

You can - and should - contact support at http://ionicframework.com/support#support


#6

i’m facing the same problem.


#7

Then you should also contact support about it.


#8

i have solved my problem.just remove and add platform.